Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.selector
Interface NamedContextSelector

All Superinterfaces:
  ContextSelector

All Known Implementing Classes:
  JndiContextSelector

    public interface NamedContextSelector

extends ContextSelector

ContextSelectors that have a name.

Method Summary
`LoggerContext` | `locateContext(String name, Object externalContext, URI configLocation)` Locate the LoggerContext with the specified name.
`LoggerContext` | `removeContext(String name)` Locate the LoggerContext with the specified name using the default configuration.

Methods inherited from interface org.apache.logging.log4j.core.selector.ContextSelector
`getContext, getContext, getLoggerContexts, removeContext`

Method Detail

### locateContext

    LoggerContext locateContext(String name,
                                Object externalContext,
                                URI configLocation)

  Locate the LoggerContext with the specified name.

  Parameters:
    `name` - The LoggerContext name.
    `externalContext` - The external context to associate with the LoggerContext.
    `configLocation` - The location of the configuration.
  Returns:
    A LoggerContext.

### removeContext

    LoggerContext removeContext(String name)

  Locate the LoggerContext with the specified name using the default configuration.

  Parameters:
    `name` - The LoggerContext name.
  Returns:
    A LoggerContext.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.